body {
    font-family: 'Roboto', sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0;
    padding: 0;
    background-color: #f4f4f9;
    color: #333;
}

header {
    width: 100%;
    background-color: #4CAF50;
    color: white;
    padding: 10px 0;
    text-align: center;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

h1 {
    margin: 0;
    font-size: 2em;
}

main {
    width: 100%;
    max-width: 1200px;
    padding: 20px;
    box-sizing: border-box;
}

#difficulty-menu {
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}

#difficulty-menu button {
    padding: 10px 20px;
    font-size: 16px;
    margin: 5px;
    border: 2px solid transparent;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s, border-color 0.3s;
}

#difficulty-menu button:hover {
    background-color: #e0e0ff;
}

#difficulty-menu button.selected {
    border-color: #0000ff;
    background-color: #e0e0ff;
}

#container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
    box-sizing: border-box;
    flex-wrap: wrap; /* Ensure items wrap on smaller screens */
}

#word-menu {
    width: 25%;
    max-width: 300px;
    min-width: 200px; /* Ensure a minimum width */
    padding: 10px;
    box-sizing: border-box;
    margin-right: 20px;
}

#word-menu ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

#word-menu li {
    margin: 10px 0;
}

#word-menu button {
    width: 100%;
    padding: 10px;
    font-size: 16px;
    border: 2px solid transparent;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s, border-color 0.3s;
}

#word-menu button:hover {
    background-color: #e0e0ff;
}

#word-menu button.selected {
    border-color: #0000ff;
}

#game-board {
    flex-grow: 1;
    border: 2px solid #000;
    height: 300px;
    position: relative;
    background-color: white;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    display: flex;
    align-items: center;
    justify-content: center;
}

#text-box {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 48px;
    font-weight: bold;
    font-family: 'Roboto', sans-serif;
    text-align: center;
    padding: 20px;
}

#play-button-container {
    display: flex;
    justify-content: center;
    width: 100%;
    margin-top: 20px;
}

#play-button {
    padding: 10px 20px;
    font-size: 16px;
    margin: 5px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}

#play-button:hover {
    background-color: #d0d0ff;
    padding: 10px 20px;
    font-size: 16px;
    margin: 5px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}

#play-button:hover {
    background-color: #e0e0ff;
}

@media (max-width: 768px) {
    #container {
        flex-direction: column;
        align-items: center;
    }

    #play-button-container {
        margin-top: 20px;
    }

    #word-menu {
        width: 100%;
        max-width: 100%;
        margin-right: 0;
        margin-bottom: 20px;
    }

    #game-board {
        width: 100%;
    }
}
#game-container {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
}

#fullscreen-button-container {
    display: flex;
    justify-content: center;
    width: 100%;
    margin-top: 20px;
}

#fullscreen-button,
#close-fullscreen-button {
    padding: 10px 20px;
    font-size: 16px;
    margin: 5px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}

#fullscreen-button:hover,
#close-fullscreen-button:hover {
    background-color: #d0d0ff;
}
